# revision 16572
# category Package
# catalog-ctan /macros/latex/contrib/cmdtrack
# catalog-date 2010-01-02 17:07:16 +0100
# catalog-license other-free
# catalog-version undef
Name:		texlive-cmdtrack
Version:	20100102
Release:	1
Summary:	Check used commands
Group:		Publishing
URL:		http://www.ctan.org/tex-archive/macros/latex/contrib/cmdtrack
License:	OTHER-FREE
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/cmdtrack.tar.xz
Source1:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/cmdtrack.doc.tar.xz
Source2:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/cmdtrack.source.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-kpathsea
Conflicts:	texlive-texmf <= 20110705-3
Conflicts:	texlive-source <= 20110705-3

%description
Aids in the task of checking whether a command defined in a
document preamble is actually used somewhere in the document.
If you use the package cmdtrack to the preamble of your
document, all \newcommand and similar statements between that
point and the beginning of the document will be marked for
logging. At the end of the document a report of the command
usage will be printed in the TeX log, for example: mdash was
used on line 25; ndash was never used.

%pre
    %_texmf_mktexlsr_pre

%post
    %_texmf_mktexlsr_post

%preun
    if [ $1 -eq 0 ]; then
	%_texmf_mktexlsr_pre
    fi

%postun
    if [ $1 -eq 0 ]; then
	%_texmf_mktexlsr_post
    fi

#-----------------------------------------------------------------------
%files
%{_texmfdistdir}/tex/latex/cmdtrack/cmdtrack.sty
%doc %{_texmfdistdir}/doc/latex/cmdtrack/cmdtrack.pdf
#- source
%doc %{_texmfdistdir}/source/latex/cmdtrack/cmdtrack.dtx
%doc %{_texmfdistdir}/source/latex/cmdtrack/cmdtrack.ins
%doc %{_tlpkgobjdir}/*.tlpobj

#-----------------------------------------------------------------------
%prep
%setup -c -a0 -a1 -a2

%build

%install
mkdir -p %{buildroot}%{_texmfdistdir}
cp -fpar tex doc source %{buildroot}%{_texmfdistdir}
mkdir -p %{buildroot}%{_tlpkgobjdir}
cp -fpa tlpkg/tlpobj/*.tlpobj %{buildroot}%{_tlpkgobjdir}


%changelog
* Sat Nov 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 20100102-1
+ Revision: 718079
- texlive-cmdtrack
- texlive-cmdtrack
- texlive-cmdtrack
- texlive-cmdtrack
- texlive-cmdtrack

